<?php

    namespace MNM\RevocationForm\Block;

    use Magento\Framework\App\Request\DataPersistorInterface;

    class RevocationForm extends \Magento\Framework\View\Element\Template {

        private $data;

        /**
         * @var DataPersistorInterface
         */
        private $dataPersistor;

       public function __construct(\Magento\Framework\View\Element\Template\Context $context,
                                    DataPersistorInterface $dataPersistor)
       {
           $this->dataPersistor = $dataPersistor;
           parent::__construct($context);
       }

       public function _prepareLayout()
       {
           return parent::_prepareLayout();
       }

       public function getPostVar($var) {
           if($this->data == null)
           {
               $this->data = $this->dataPersistor->get('revocation');
           }

           return $this->data[$var] ?? '';
       }
    }